System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Configuration.IConfigurationSectionHandler

This class implements the IConfigSectionHandler interface. The defines rules for manipulating XML configuration sections.

Provides key/value pair configuration information from a configuration section.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The object parameter acts as the configuration settings in the corresponding parent configuration section. The object parameter is the virtual path for which the configuration section handler computes configuration values. Normally this parameter is reserved and is null. The parameter is the that contains the configuration information to be handled. The parameter provides direct access to the XML contents of the configuration section.

  Creates a new configuration handler and adds it to the section-handler collection based on the specified parameters.

  A configuration object.

  Parent object. Configuration context object. Section XML node.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the XML attribute name to use as the key in a key/value pair.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the XML attribute name to use as the value in a key/value pair.